/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.resources;



import java.io.*;
import java.net.*;
import java.util.*;
import talon.*;
import talon.interfaces.*;
import talon.util.net.*;

/**
 * 
 * 
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: BaseResourceMapper.java,v 1.2 2001/06/11 08:58:31 burton Exp $
 */
public class BaseResourceMapper {
    
    /**
     * If this contains resource: data, strip it.
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: BaseResourceMapper.java,v 1.2 2001/06/11 08:58:31 burton Exp $
     */
    protected String getPath( String full ) {

        if ( full.indexOf( "resource:" ) == 0 ) {
        
            full = full.substring( "resource:".length(), full.length() );
            
        } 

        return full;
    }

    /**
     * Log that the resource was 
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: BaseResourceMapper.java,v 1.2 2001/06/11 08:58:31 burton Exp $
     */
    protected void log( String path ) {

        //ComponentFactory.getLogger().message( "Loading resource: " + path );
        
    }
    
}


