/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.tests;

import java.io.*;
import java.net.*;
import talon.util.net.URI;
import java.util.*;

import org.arrowhead.testlet.*;

import talon.*;
import talon.components.*;
import talon.implementations.*;
import talon.interfaces.*;
import talon.references.*;
import talon.resources.*;
import talon.util.net.*;


/**
 * Test out resource mapping...
 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: Test10.java,v 1.2 2002/03/09 22:17:12 burton Exp $
 */
public class Test10 extends AbstractTestlet implements Serializable {

    public void initialize( TestletContext context ) throws Exception {

        //use a directory mapper and try to get /etc/talon.properties.

        URI resource = new URI( "resource:/etc/talon.properties" );

        DirectoryResourceMapper drm = new DirectoryResourceMapper();

        drm.getResource( resource );
        
    }
    
}
